import { r as registerInstance, e as createEvent, h } from './index-2f723ace.js';

const quantitySelectorCss = ".wrapper{display:flex;flex-direction:row;align-items:center;gap:0.5rem}";

const QuantitySelector = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.amountChanged = createEvent(this, "amountChanged", 7);
  }
  render() {
    return (h("div", { id: "token-amount", class: "wrapper" }, h("button", { disabled: this.selectedAmount <= 1, type: "button", onClick: () => this.amountChanged.emit(-1) }, "-"), h("span", null, this.selectedAmount), h("button", { disabled: this.selectedAmount === this.maxAmount, type: "button", onClick: () => this.amountChanged.emit(1) }, "+")));
  }
};
QuantitySelector.style = quantitySelectorCss;

export { QuantitySelector as quantity_selector };
