import { Contract } from 'ethers';
import { WalletInfo } from './interface/wallet-info.interface';
export declare type ContractType = 'ERC721' | 'ERC1155';
export declare enum MintStatus {
  CLOSED = 0,
  PUBLIC = 1,
  PRIVATE = 2
}
export declare class Block {
  contractAddress: string;
  testnet: boolean;
  type: ContractType;
  size: number;
  contract: Contract;
  walletInfo: WalletInfo;
  mintPrice: number;
  maxPerAddress: number;
  chainId: string;
  totalSupply: number;
  maxSupply: number;
  status: MintStatus;
  tokensOwned: number;
  personalAllocationLeft: number;
  constructor(contractAddress: string, testnet: boolean, type: ContractType, walletInfo: WalletInfo);
  init(): Promise<void>;
  static create(contractAddress: string, testnet: boolean, type: ContractType, walletInfo: WalletInfo): Promise<Block>;
  publicMint(amount: any): Promise<void>;
  private _getContractDetails;
  private _getTxReceipt;
  private _checkChain;
}
